please merge lxc (0.7.5-3) from Debian unstable

Bug #879636 reported by Dave Walker on 2011-10-21
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
lxc (Ubuntu)
High
Serge Hallyn

Bug Description

This seems like a good candidate to merge from unstable.

Thanks.

Debian changes newer than ubuntu version:

lxc (0.7.5-3) unstable; urgency=low

  * Aborting early in initscript if lxc is not removed but not purged.
  * Correcting typo in proc mount entry in the default config of the
    debian template, thanks to Sylvain Collilieux
     (Closes: #643715).
  * Correcting incomplete lxc command loop over all containers in
    initscript, thanks to Biuro (Closes: #643774).

 -- Daniel Baumann Fri, 30 Sep 2011 01:01:12 +0200

lxc (0.7.5-2) unstable; urgency=low

  * Do not bail out with usage message when invoking lxc-list via lxc
    wrapper.
  * Removing useless lenny template, using the debian template for lenny
    is better.
  * Building manpages explicitly (Closes: #639276).
  * Updating lxc-info for changed output of lxc-info as of 0.7.5.
  * Adding simple lxc-backup and lxc-restore scripts.
  * Adding patch to use non-routed, private IPv4 address in
    documentation examples (Closes: #571525).
  * Removing destroy option from initscript, unlike destroy as used by
    e.g. xen, it does wipe all data of a container, the initscript would
    therefore remove all data of all containers at once which is way to
    dangerous.
  * Adding debconf handling for lxc/auto (Closes: #632848).
  * Adding patch to improve debian default container config.
  * Adding patch to keep creation of new containers without previously
    existing configuration non-interactive.
  * Listing auto information in lxc-list.
  * Rewriting initscript.

 -- Daniel Baumann Wed, 21 Sep 2011 13:31:51 +0200

lxc (0.7.5-1) unstable; urgency=low

  [ Jonas Genannt ]
  * Merging upstream version 0.7.5.

  [ Daniel Baumann ]
  * Removing fedora.patch, not needed anymore for updated fedora
    template.
  * Rediffing debian.patch.
  * Rediffing debian2.patch.
  * Renaming and renumbering patches.

 -- Daniel Baumann Mon, 22 Aug 2011 11:36:00 +0200

Rolf Leggewie (r0lf) wrote :

If possible please include a discussion of the current ubuntu delta and why it can be dropped.

Rolf Leggewie (r0lf) wrote :

... if that its what you are proposing ;-)

Clint Byrum (clint-fewbar) wrote :

I believe Dave is suggesting it be merged, not synced.

Dave Walker (davewalker) on 2011-10-23
Changed in lxc (Ubuntu):
milestone: none → precise-alpha-1
Dave Walker (davewalker) on 2011-10-23
Changed in lxc (Ubuntu):
importance: Undecided → High
Changed in lxc (Ubuntu):
status: New → Confirmed
Changed in lxc (Ubuntu):
assignee: nobody → Serge Hallyn (serge-hallyn)
status: Confirmed → In Progress
Ilya Barygin (randomaction) wrote :

I guess this is completed?

Changed in lxc (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers